package com.zj365.dc.adapter


import android.widget.ImageView
import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.xty.base.adapter.BaseAdapter
import com.xty.common.setImage
import com.xty.network.model.DeviceBean
import com.zj365.dc.R

class DeviceChoiceAdapter:BaseAdapter<DeviceBean>(R.layout.item_device_choice) {

    override fun convert(holder: BaseViewHolder, item: DeviceBean) {
        holder.getView<ImageView>(R.id.iv_device_icon).setImage(context,item.imageUrl)
        holder.setText(R.id.tv_device_name,"${item.watchTypeName}(${item.deviceType})")
    }
}